/* 
 * File:   cmdstrings.h
 * Author: david
 *
 * Created on November 2, 2011, 12:03 PM
 */

#ifndef CMDSTRINGS_H
#define	CMDSTRINGS_H

const QString RECOLLCMD =       "recoll";
const QString RECOLLCLI =       "-t";
const QString RECOLLQUERY =     "-q";
const QString RECOLLAND =       "-a";
const QString RECOLLOR =        "-o";
const QString RECOLLMAXHITS =   "-n";
const QString RECOLLFILENAMES = "-f";
const QString RECOLLFIELDS =    "-F";
const QString RECOLLSORTFIELD = "-S";
const QString RECOLLSORTREV =   "-D";

const QRegExp RECOLLPRECEDENCE( "[()]" );
const QChar   RECOLLQUOTE( '"' );

// USER query commands
const QString RECOLLUSERTITLEPREFIX( "title:" );
const QString RECOLLUSERFILENAMEPREFIX( "filename:" );
const QString RECOLLUSERIPATHPREFIX( "ipath:" );

const QRegExp RECOLLANDCMD("^AND$" );
const QRegExp RECOLLORCMD( "^OR$" );
const QRegExp RECOLLANDNOTCMD( "^AND_NOT$" );
//const QRegExp RECOLLORNOTCMD( "^OR_NOT$" );

const QRegExp RECOLLUSERFIELDFLAG( "^\\w+:" );
const QRegExp RECOLLUSERNOTFLAG( "^-" );
const QRegExp BLANK( "^$" );

const QString DOLPHINCMD =      "dolphin";
const QString KIO_RECOLLCMD =   "recollf:";

const QString EXECCMD =         "!";

const QString RECOLLTAG =       "Recoll-";

#endif	/* CMDSTRINGS_H */

