/* 
 * File:   recollrunnerconfig.h
 * Author: david
 *
 * Created on August 4, 2010, 5:03 PM
 */

#ifndef RECOLLRUNNERCONFIG_H
#define	RECOLLRUNNERCONFIG_H

#include <plasma/abstractrunner.h>

#include <KCModule>
#include <KPluginFactory>
#include <KPluginLoader>

#include "config.h"
#include "ui_recollrunnerconfig.h"

class recollrunnerconfigDlg: public QWidget, public Ui::recollrunnerOptions {
    Q_OBJECT

public:
    explicit recollrunnerconfigDlg( QWidget* parent );
    virtual ~recollrunnerconfigDlg();
    void setup( RRSettings& settings );
    RRSettings getSettings();

    Ui_recollrunnerOptions UI;
};


class recollrunnerconfig: public KCModule {
    Q_OBJECT;

public:
    explicit recollrunnerconfig(QWidget* parent = 0,
            const QVariantList& args = QVariantList());
    ~recollrunnerconfig();
    
    RRSettings getSettings() { return ui->getSettings(); }

public slots:
    void save();
    void load();
    void defaults();
    void forceChanged() { changed(); }

private:
    recollrunnerconfigDlg* ui;

    void refresh(); 
};

      
#endif	/* RECOLLRUNNERCONFIG_H */

